%global __brp_check_rpaths %{nil}
%global packname  tvmComp
%global packver   1.0.2
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.2
Release:          1%{?dist}%{?buildtag}
Summary:          Discounting and Compounding Calculations for Various Scenarios

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-CRAN-Rdpack 
Requires:         R-CRAN-Rdpack 

%description
Functions for compounding and discounting calculations included here serve
as a complete reference for various scenarios of time value of money.
Raymond M. Brooks (“Financial Management,” 2018, ISBN: 9780134730417).
Sheridan Titman, Arthur J. Keown, John D. Martin (“Financial Management:
Principles and Applications,” 2017, ISBN: 9780134417219). Jonathan Berk,
Peter DeMarzo, David Stangeland, Andras Marosi (“Fundamentals of Corporate
Finance,” 2019, ISBN: 9780134735313). S. A. Hummelbrunner, Kelly Halliday,
Ali R. Hassanlou (“Contemporary Business Mathematics with Canadian
Applications,” 2020, ISBN: 9780135285015).

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
